/* UTILITY STYLES */
.fieldError p, .fieldError {
    margin: 0;

    color: var(--color-text-error);
    
    font-weight: bold;
}

.inputError p {
    margin: 0;
}

.formInstructions p {
    margin: 0;
}

.userSelectionText {
    width: 100%;
}


/* FAQ SELECTION */
.faqContainer {
    width: 90%;

    display: flex;
    flex-direction: column;
    align-items: flex-start;

    background-color: var(--color-menu-element);
    
    padding: 5px 10px 5px 10px;
    margin-top: 5px;
    margin-bottom: 5px;
    
    border-radius: 15px;
}

.faqHeader {
    width: 100%;
}

.faqContainerBody {
    padding-left: 15px;
}

/* YEAR SELECTION */
#yearSelection {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    align-self: normal;
}

#yearSelectionText {
    margin-right: 15px;
    width: 75%;
    text-align: center;
}

#yearSelectionButtonContainers {
    display: flex;
    flex-direction: column;
}

/* REFRESH STATS SELECTION */
#refreshStats {
    display: flex;
    flex-direction: column;
    align-items: center;
}

#refreshStatsContainers {
    display: flex;
    flex-direction: row;
    align-items: center;
}

#refreshStatsHeader {
    margin: 0;
}

#refreshStatsDetails {
    text-align: center;
}

/* SCORE ALL SELECTION */
#scoreAllSelection {
    display: flex;
    flex-direction: row;
    align-items: center;
    align-self: normal;
    justify-content: center;
}

#scoreAllContainer {
    width: 100%;

    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
}

#scoreAllMenu {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
}

#scoreAllSelectionText {
    width: 75%;
    text-align: center;
}

#scoreAllSelectionButton {
    width: 10%;
}

/* SCORING SELECTION */
#judgeScoreHeader {
    width: 100%;

    margin-top: 10px;

    display: flex;
    flex-direction: column;
    align-items: center;
}

#judgeScoreHeaderInstructions {
    margin-bottom: 0px;
}

#judgeScoreUpdateContainer {
    width: 100%;

    display: flex;
    align-items: center;
    flex-direction: row;
    justify-content: center;
}

.scoreUpdateMessage {
    display: flex;
    justify-content: space-evenly;
    align-items: center;
}

/* JUDGE TABLE */
.tableScroll {
    width: 100%;

    overflow-x: auto;
    overflow-y: visible;

    height: 58vh;
}

.judgeTable {
    text-align: center;
    vertical-align: middle;

    width: max-content;
    min-width: 100%;
    table-layout: auto;
}

.judgeTable thead th {
    position: sticky;
    top: 0;
    background: var(--color-table-header-row);
    z-index: 1;
}

.judgeTable tr {
    background-color: var(--color-table-row);
}

.judgeTableInput {
    width: 50px;

    margin-top: 1%;
    margin-bottom: 1%;

    text-align: center;
}

.judgeTableOverviewRow {
    background-color: var(--color-table-alt-row) !important;
}

.columnDescription {
    width: 150px;
}

.columnPoints {
    width: 10px;
}

.columnTeam {
    width: 100px;
}

.descriptionSpacing, .pointsSpacing {
    margin-top: 0;
    margin-bottom: 0;
}

.judgeTableTeamHeaderContainer {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.judgeTableCriteriaContainer {
    text-align: center;
    vertical-align: middle;
}

.judgeTableScoreContainer {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.judgeTableSubCriteriaSpacing {
    text-align: left;
    padding: 0;
    margin-left: 15px;
}

/* STANDARD TABLE */
.standardTable {
    width: 98%;

    border: none;
	table-layout: fixed;

    word-break: break-word;
}

.stanadrdTableHeaderRow {
    padding-left: 1%;
    padding-top: 10px;
}

.standardTableBody tr:nth-child(even) {
  	background: var(--color-table-alt-row)
}

.standardTableBody tr:hover td, .standardTableBody tr:hover th {
    background-color: var(--color-table-highlight-row)
}

.standardTableHeader {
  	background: var(--color-table-header-row);
}

.standardTableColumn {
    text-align: center;
}

.columnMedium {
	width: 10%;
}

.columnSmall {
	width: 5%;
}

.tableButtonFlexWrap {
    width: 100%;

    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-evenly;
    align-items: center;
    gap: 0;
}


/* JUDGE DETAIL */
.judgeDetailColumnContainer {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.judgeDetailRowContainer {
    width: 100%;

    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-evenly;
}

.judgeDetail {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;

    margin: 5%;
    padding: 5%;

    background-color: var(--color-menu-element);
    border-radius: 15px;
}

.activeJudgeContainer {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-evenly;
}

.activeJudgeDetails {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;

    margin: 1%;
    padding: 1%;

    background-color: var(--color-menu-element);
    border-radius: 15px;
}

.activeJudgeDetails:has(input[type="checkbox"]:checked) {
    background-color: var(--color-menu-quaternary);
}

/* UPLOAD AND FILE INTERACTION */
.uploadContainer {
    display: flex;
    flex-direction: column;
    align-items: center;
}

/* BUTTONS */
.buttonStyleDark {
    background-color: var(--color-menu-secondary);
    color: var(--color-text-secondary);

    border-radius: 5px;
    
    padding: 1%;
    margin: 1%;
}

.buttonStyleDark:hover {
    background-color: var(--color-highlight);
    border-color: var(--color-highlight);;
}

.buttonLarge {
    min-width: 80px;
    min-height: 40px;
}

/* FORMS */
.pageWidthForm {
    width: 90%;
}

.formBaselineAlign {
    display: flex;
    align-items: baseline;
}

.standardFieldSet {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.formVertContainer {
    display: flex;
    flex-direction: column;
}

.formHorzContainer {
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: center;
}

.formHorzContainerSmall {
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: center;
}

.formHorzContainerCombo {
    width: 100%;
    display: flex;
    flex-direction: row;
}

.formHorzRow {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
}

.formHorzRowSmall {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
}

.formHorzFlexWrap {
    width: 100%;

    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-evenly;
    align-items: center;
    gap: 10px 5%;
}

.formWithInstructionContainer {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.formLable {
    text-align: center;

    max-width: 75%;
}

.formInstructions {
    text-align: center;

    max-width: 75%;
}

.formPadding {
    padding-top: 1.5%;
    padding-bottom: 1.5%;
}

/* TEAM MEMBERS */
.teamMemberContainer {
    width: 100%;

    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-evenly;
}

.teamMemberDetail {

}

/* ALT LOGIN */
.altLoginContainer {
    width: 100%;

    display: flex;
    flex-direction: row;

    margin-top: 10px;
}

.altLoginRow {
    width: 50%;

    text-align: center;

    display: flex;
    justify-content: center;
    flex-direction: column;
}

/* TEXT */
.textContainer {
    width: 100%;

    text-align: left;
}

/* MAP */
.map-container {
    width: 100%;
    max-width: 100%;
}

.map-container iframe {
    width: 100%;
    max-width: 50vw;

    aspect-ratio: 3 / 4; /* same as 425x350 */
    
    border: 0;
    display: block;
}

/* DYNAMIC SIZING */
@media screen and (min-width: 650px) {
    .altLoginRow {
        flex-direction: row;
    }
}
    
@media screen and (min-width: 950px) {
    .formHorzContainer {
        flex-direction: row;
    }

    .formLable {
        padding-right: 1%;
    }
}

@media screen and (min-width: 675px) {
    .formHorzContainerCombo {
        flex-direction: column;
    }

    .formHorzContainerSmall {
        flex-direction: row;
    }
}

@media screen and (min-height: 600px) {
    .tableScroll {
        max-height: 73vh;
    }
}

@media screen and (min-height: 700px) {
    .tableScroll {
        max-height: 76vh;
    }
}

@media screen and (min-height: 800px) {
    .tableScroll {
        max-height: 79vh;
    }
}

@media screen and (min-height: 900px) {
    .tableScroll {
        max-height: 81vh;
    }
}

@media screen and (min-height: 1050px) {
    .tableScroll {
        max-height: 83vh;
    }
}